apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: otel-application
  namespace: argocd
spec:
  project: default

  source:
    repoURL: https://gitlab.com/hoang.l.tran/argocd-app-config.git
    targetRevision: HEAD
    path: opentelemetry-demo
  destination:
    server: https://kubernetes.default.svc
    namespace: otel-demo

  syncPolicy:
    syncOptions:
    - CreateNamespace=true

    automated:
      selfHeal: true
      prune: true